Bug Hunting Session
Bug 98277 - Toolbar: No shortcuts displayed for extensions
Summary: Toolbar: No shortcuts displayed for extensions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-29 16:06 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-10-25 19:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-02-29 16:06:01 UTC
Usually the toolbar tooltip contains the shortcut in brackets after the description.

This doesn't work for extensions, no shortcut displayed in the toolbar tooltip.
Comment 1 Samuel Mehrbrodt (CIB) 2016-02-29 16:49:12 UTC
https://gerrit.libreoffice.org/#/c/22779/
Comment 2 Commit Notification 2016-03-01 09:54:17 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ff17bda5ba3e627e9b996506dc72b68cf67483b

tdf#98277 Extensions: Display shortcut in toolbar tooltip

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-03-01 17:13:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=398fadca9a82917ed865e328ba454d8015803b66

tdf#98277 Display shortcut only in tooltip, not in toolbutton name

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-03-02 10:06:51 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=499a34658e3a78d7b7c7c917eb739f8a1924c633&h=libreoffice-5-1

tdf#98277 Extensions: Display shortcut in toolbar tooltip

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-03-04 14:00:57 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a8a051e1a29c86d29d5064455226c4f11f69f52&h=libreoffice-5-0

tdf#98277 Extensions: Display shortcut in toolbar tooltip

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.